<?php
$themename = "QWord";
$shortname = "np";

$options = array (
	
		array(  "name" => "Color theme",
			"desc" => "Theme color variation",
            "id" => $shortname."_color",
            "type" => "select",
            "std" => "Default",
            "options" => array("Default", "Green", "Blue", "Brown") ),
			
	array(  "name" => "Sidebar position",
			"desc" => "The main sidebar position",
            "id" => $shortname."_sidebar_pos",
            "type" => "select",
            "std" => "Right",
            "options" => array("Right", "Left") ),

    array(  "name" => "Welcome Text",
			"desc" => "You can use HTML",
            "id" => $shortname."_welcome",
            "std" => 'Welcome to "QWord" Wordpress theme demo page! You can edit this text message using theme control panel.<br />
For more information about "Qword" Wordpress theme features please read this <a href="http://atillus.com/qword/themedocs.html">online documentation page</a><br />',
            "type" => "textarea"),
			
	array(  "name" => "125x125 px Banners block",
			"desc" => "HTML codes for 4 banners (125x125 px.)",
            "id" => $shortname."_banners",
            "std" => '<a href="http://wordpress.org"><img src="http://atillus.com/125_125_sample.jpg" alt="sample" width="125" height="125" /></a>

<a href="http://wordpress.org"><img src="http://atillus.com/125_125_sample.jpg" alt="sample" width="125" height="125" /></a>

<a href="http://wordpress.org"><img src="http://atillus.com/125_125_sample.jpg" alt="sample" width="125" height="125" /></a>

<a href="http://wordpress.org"><img src="http://atillus.com/125_125_sample.jpg" alt="sample" width="125" height="125" /></a>',
            "type" => "textarea")
);

function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], stripslashes($_REQUEST[ $value['id'] ] )); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], stripslashes($_REQUEST[ $value['id'] ] ) ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=controlpanel.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); 
                update_option( $value['id'], $value['std'] );}

            header("Location: themes.php?page=controlpanel.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Options", "QWord theme options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
    
?>
<div class="wrap">
<h2><?php echo $themename; ?> settings</h2>

<form method="post">

<table class="optiontable">

<?php foreach ($options as $value) { 
    
if ($value['type'] == "text") { ?>
        
<tr valign="top"> 
    <td>
        <p><b><?php echo $value['name']; ?> :</b><br /><?php echo $value['desc']; ?></p>
        <p>
          <input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" size="40" />
            </p></td>
</tr>
<tr><td><hr /></td></tr>
<?php } elseif ($value['type'] == "select") { ?>

    <tr valign="middle"> 
        <td>
            <p><b><?php echo $value['name']; ?> :</b><br /><?php echo $value['desc']; ?></p>
            <p>
              <select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                <?php foreach ($value['options'] as $option) { ?>
                <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; }?>><?php echo $option; ?></option>
                <?php } ?>
              </select>
                        </p></td>
    </tr>
<tr><td><hr /></td></tr>
<?php } elseif ($value['type'] == "radio") { ?>

    <tr valign="middle"> 
        <td>
                <p><b><?php echo $value['name']; ?> : </b><br /><?php echo $value['desc']; ?></p>
                  <?php foreach ($value['options'] as $option) { ?>
          
                <p>                  <?php echo $option; ?>
                  <input name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php echo $option; ?>" <?php if ( get_settings( $value['id'] ) == $option) { echo 'checked'; } ?>/>
                  |
                  <?php } ?>        
                          </p></td>
    </tr>
<tr><td><hr /></td></tr>
<?php } elseif ($value['type'] == "textarea") { ?>

    <tr valign="middle"> 
        <td>
            <p><b><?php echo $value['name']; ?> :</b><br /><?php echo $value['desc']; ?></p>
            <p>
              <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" cols="80" rows="8"/><?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?></textarea>        
                        </p></td>
    </tr>
<tr><td><hr /></td></tr>
<?php } ?>
<?php 
}
?>
</table>
<p class="submit">
<input name="save" type="submit" value="Save changes" />    
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
<?php
}
add_action('admin_menu', 'mytheme_add_admin'); ?>
